using System.Collections.Generic;

namespace JamesKovacs.IoCArticle.IoCContainer.Infrastructure.Container {
    public class IoC {
        private static IDependencyResolver s_Inner;

        public static void Initialize(IDependencyResolver resolver) {
            s_Inner = resolver;
        }

        public static T Resolve<T>() {
            return s_Inner.Resolve<T>();
        }

        public static IEnumerable<T> ResolveAll<T>() {
            return s_Inner.ResolveAll<T>();
        }
    }
}